### Method

# GLib AsyncQueue push_front

since: 2.46

#### Declaration [src]

    void
    g_async_queue_push_front (
      GAsyncQueue* queue,
      gpointer item
    )

#### Description [src]

Pushes the `item` into the `queue`. `item` must not be `NULL`. In contrast to g_async_queue_push(), this function pushes the new item ahead of the items already in the queue, so that it will be the next one to be popped off the queue.

Available since: 2.46

#### Parameters

`item`

  Type: `gpointer`

  Data to push into the `queue`.

  The instance takes ownership of the data, and is responsible for freeing it.